AppListCouponBatches
GET
/apps/discounts/batches
const url = 'https://your-store.myciqra.com/apps/discounts/batches';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://your-store.myciqra.com/apps/discounts/batches \ --header 'Authorization: Bearer <token>'Required scope: read_discounts — an installation token without it receives 403.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
batchId
required
string format: uuid
count
required
integer | string format: int32
createdAt
required
string format: date-time
isActive
required
boolean
kind
required
string
name
required
string
redeemedCount
required
integer | string format: int32
type
required
string
value
required
number | string format: double
Examplegenerated
[ { "batchId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "count": 1, "createdAt": "2026-04-15T12:00:00Z", "isActive": true, "kind": "example", "name": "example", "redeemedCount": 1, "type": "example", "value": 1 }]